## transfermii 0.5.3

=== CMakeLists.txt ===
INCLUDE(UsePkgConfig)
PKGCONFIG(gtk+-2.0 GTK2_INCLUDE_DIR GTK2_LINK_DIR GTK2_LINK_FLAGS GTK2_CFLAGS)

PROJECT(TransferMii)

FIND_LIBRARY(libcwiid NAMES cwiid PATH /usr/lib/ /usr/local/lib/)

IF(NOT libcwiid)
       MESSAGE(FATAL_ERROR "Could not find libcwiid")
ELSE(NOT libcwiid)
	 SUBDIRS(tmii)

	 # CLI
	 ADD_EXECUTABLE(transfermii_cli transfermii_cli.c)
	 TARGET_LINK_LIBRARIES(transfermii_cli tmii ${libcwiid})

	 # GUI
	 SET(CMAKE_C_FLAGS "${GTK2_CFLAGS} -Wall -Werror")
	 ADD_EXECUTABLE(transfermii_gui gui/pageAbout.c gui/pageLocal.c gui/pageWiimote.c gui/transfermii_gui.c)
	 TARGET_LINK_LIBRARIES(transfermii_gui tmii ${GTK2_LINK_FLAGS} ${GTK2_CFLAGS} cwiid)

ENDIF(NOT libcwiid)

## transfermii 0.6.1

=== CMakeLists.txt ===
INCLUDE(UsePkgConfig)
PKGCONFIG(gtk+-2.0 GTK2_INCLUDE_DIR GTK2_LINK_DIR GTK2_LINK_FLAGS GTK2_CFLAGS)

PROJECT(TransferMii)

SUBDIRS(tmii)

FIND_LIBRARY(libcwiid NAMES cwiid PATH /usr/lib/ /usr/local/lib/)

IF(NOT libcwiid)
	SUBDIRS(cwiid)
	# CLI
	ADD_EXECUTABLE(transfermii_cli transfermii_cli.c)
	TARGET_LINK_LIBRARIES(transfermii_cli tmii cwiid)

	# GUI
	SET(CMAKE_C_FLAGS "${GTK2_CFLAGS} -Wall -Werror -DCWIID_STATIC")
	ADD_EXECUTABLE(transfermii_gui gui/pageAbout.c gui/pageLocal.c gui/pageWiimote.c gui/transfermii_gui.c)
	TARGET_LINK_LIBRARIES(transfermii_gui tmii ${GTK2_LINK_FLAGS} ${GTK2_CFLAGS} cwiid)

ELSE(NOT libcwiid)
	 # CLI
	 ADD_EXECUTABLE(transfermii_cli transfermii_cli.c)
	 TARGET_LINK_LIBRARIES(transfermii_cli tmii ${libcwiid})

	 # GUI
	 SET(CMAKE_C_FLAGS "${GTK2_CFLAGS} -Wall -Werror")
	 ADD_EXECUTABLE(transfermii_gui gui/pageAbout.c gui/pageLocal.c gui/pageWiimote.c gui/transfermii_gui.c)
	 TARGET_LINK_LIBRARIES(transfermii_gui tmii ${GTK2_LINK_FLAGS} ${GTK2_CFLAGS} ${libcwiid})

ENDIF(NOT libcwiid)

=== cwiid/CMakeLists.txt ===
ADD_LIBRARY(cwiid bluetooth.c  command.c  connect.c  interface.c  process.c  state.c  thread.c  util.c)
TARGET_LINK_LIBRARIES(cwiid bluetooth pthread rt)

=== tmii/CMakeLists.txt ===
ADD_LIBRARY(tmii filefunctions.c miifunctions.c others.c wiimotefunctions.c)

=== debian/changelog ===
transfermii (1:0.6.1-5) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to 3.0 (quilt) format (Closes: #1007508).

 -- Bastian Germann <bage@debian.org>  Mon, 29 Aug 2022 17:18:42 +0200

transfermii (1:0.6.1-4) unstable; urgency=medium

  * QA upload.
  * Build without -Werror. (Closes: #952094)

 -- Adrian Bunk <bunk@debian.org>  Mon, 16 Mar 2020 17:54:45 +0200

transfermii (1:0.6.1-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #810996)
  * Fix spelling error in the package descriptions.
    (Closes: #557852, #557853)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 Jan 2017 15:01:40 +0200

transfermii (1:0.6.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with binutils-gold":
    add patch from Ubuntu Andreas Moog:
    - add -lbluetooth to linker-options to fix FTBFS (LP: #756003)
    (Closes: #556500)
  * Build-depend on libcwiid-dev instead of the removed libcwiid1-dev.

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Dec 2011 20:24:53 +0100

transfermii (1:0.6.1-2) unstable; urgency=low

  * Changed build-dep on libbluetooth2-dev to
    libbluetooth-dev. Version build-dep on
    cwiid to binNMUed binary package.
  Closes: #530356
  * Bumped standards version to 3.8.2.0
  * Use cdbs' cmake class.
  * Bumped compat to 7.
  * Drop rpath use: no more needed.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 18 Jun 2009 18:53:06 +0200

transfermii (1:0.6.1-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file
  * Upated standards to 3.7.3 (no changes)

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 15 Mar 2008 16:16:03 +0100

transfermii (1:0.5.3-1) unstable; urgency=low

  * New upstream release
  * Removed license inclusion patch, applied upstream.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 20 Nov 2007 21:24:36 +0100

transfermii (1:0.5.2-2) unstable; urgency=low

  * Added menus with new policy.
  * Patched GUI for inlince license information.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 27 Aug 2007 19:28:24 +0200

transfermii (1:0.5.2-1) unstable; urgency=low

  * New upstream release.
  * Removed patches: applied upstream

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 30 Jul 2007 02:53:48 +0200

transfermii (1:0.5~rc5-2) unstable; urgency=low

  * First upload to unstable against the new library

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 24 Jul 2007 13:24:38 +0200

transfermii (1:0.5~rc5-1) experimental; urgency=low

  * New upstream release
  * Rebuild against newest libcwiid1 from experimental
  * Added patch to fix gcc-4.2 build (Closes: #422468)

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 17 Jul 2007 05:25:13 +0200

transfermii (1:0.5~rc2~cwiid-1) unstable; urgency=low

  * Switched to new libcwiid0
  * Upload to sid
  * Added patch to correct build
  Closes: 422468

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 12 May 2007 03:28:39 +0200

transfermii (0.5~rc2-1) experimental; urgency=low

  * New upstream release
  * New GUI: updated dependencies accordingly
  * Seperated gui and cli to two different packages
  * Switched to cmake, added a cdbs class taken from kdesvn package

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 24 Apr 2007 14:30:29 +0200

transfermii (0.4-2) unstable; urgency=low

  * Added missing build dependency
  Closes: #418665
  * Corrected typo
  Closes: #418684

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 11 Apr 2007 10:53:53 +0200

transfermii (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 10 Apr 2007 13:50:48 +0200

transfermii (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #412235)

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 28 Feb 2007 15:34:45 +0100

=== debian/control ===
Source: transfermii
Section: utils 
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 7.0.1), cmake, libcwiid-dev, libbluetooth-dev, libgtk2.0-dev
Standards-Version: 3.8.2.0

Package: transfermii
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: transfer your mii from and to your wiimotes
 transfermii is a program based on cwiid framework for using
 the wiimote under Linux.
 .
 It allows you to transfer your miis (the characters used
 in the wii) from your wiimote and vice-versa.
 .
 This package provides the command-line program.

Package: transfermii-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: transfer your mii from and to your wiimotes -- GUI
 transfermii is a program based on cwiid framework for using
 the wiimote under Linux.
 .
 It allows you to transfer your miis (the characters used
 in the wii) from your wiimote and vice-versa.
 .
 This package provides the GTK+ GUI program.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

# In order to regenerate 'debian/control' :
#    DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

# No install
DEB_MAKE_INSTALL_TARGET  := 

# Additional env vars
LDFLAGS  +=  -Wl,--as-needed
